Bug 605158 (CVE-2010-2226)

Summary: CVE-2010-2226 kernel: xfs swapext ioctl minor security issue
Product: [Other] Security Response Reporter: Eugene Teo (Security Response) <eteo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: arozansk, davej, dhoward, jpirko, kmcmartin, lwang, plyons, pmatouse, tcallawa
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-28 08:56:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 605160, 605161, 605162    
Bug Blocks:    

Description Eugene Teo (Security Response) 2010-06-17 10:37:38 UTC
Description of problem:
User "foo" can use the SWAPEXT ioctl to swap a write-only file owned by user "bar" into a file owned by "foo" and subsequently reading it. It does so by checking that the file descriptors passed to the ioctl are also opened for reading.

References:
http://archives.free.net.ph/message/20100616.130710.301704aa.en.html
http://archives.free.net.ph/message/20100616.135735.40f53a32.en.html

Comment 2 Eugene Teo (Security Response) 2010-06-17 11:01:24 UTC
Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.

Comment 3 Eugene Teo (Security Response) 2010-06-17 11:02:19 UTC
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 3, 4 and Red Hat Enterprise MRG as they did not include
support for the XFS filesystem. A future kernel update in Red Hat Enterprise
Linux 5 will address this issue.

Comment 4 Eugene Teo (Security Response) 2010-07-08 02:11:42 UTC
Upstream commit:
http://git.kernel.org/linus/1817176a86352f65210139d4c794ad2d19fc6b63

Comment 5 errata-xmlrpc 2010-08-10 18:01:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0610 https://rhn.redhat.com/errata/RHSA-2010-0610.html